Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
search
/
external
/
address
/
{country}
/
validate
Validate address
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/search/external/address/{country}/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address_line": "Sommerkroveien 34",
  "postal_code": "0349",
  "postal_place": "Oslo",
  "country": "NO"
}
'
{
  "valid": false,
  "alternatives": [
    {
      "address_line": "Sommerkroveien 34",
      "postal_code": "0349",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
country
string
required

ISO 3166-1 country code

Body

application/json

Address information, including the name of the address, the postal code, the postal place (city where the address is in), and the country.

address_line
string
required
Example:

"Sommerkroveien 34"

postal_code
string
required
Example:

"0349"

postal_place
string
required
Example:

"Oslo"

country
string<iso-3166-1>
required

ISO 3166-1 country code

Example:

"NO"

address_line_2
string
Example:

"PB 123"

Response

Result with close matching alternative addresses if found.

valid
boolean
required

If the address was valid or not.

Example:

false

alternatives
object[]
required

Close matching alternative addresses.